#!/usr/bin/env python

import os, sys

def resize(nomarch, tmpname, factor):
#    cmd = "/usr/bin/convert -filter Quadratic -resize %s %s %s" % (factor, nomarch, tmpname)
    cmd = "/usr/bin/convert -resize %s %s %s" % (factor, nomarch, tmpname)
    os.system(cmd)
    os.rename(tmpname, nomarch)
    return


def main(direc, tmpname, factor):
    print "Analizando el dir", direc
    archivos = os.listdir(direc)
    print "  %d archivos" % len(archivos)
    print "Convirtiendo a", factor
    for arch in archivos:
        nombre = os.path.join(direc, arch)
        print " ", nombre
        resize(nombre, tmpname, factor)
    return

if __name__ == "__main__":
    if len(sys.argv) != 3:
        print "usar timg2std.py dir_origen factor"
        print "        ej factor: 1024x768 o 30%"
        sys.exit()
    direc = sys.argv[1].rstrip("/")
    factor = sys.argv[2]
    tmpname = os.path.join(direc, "tmpimagen.xyz")
    if os.access(tmpname, os.F_OK):
        print "Ojo! %s ya existe!" % tmpname
        sys.exit()
    main(direc, tmpname, factor)
